grep-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

grep branch, master, updated. v2.11-11-gb00d1ee


From: Jim Meyering
Subject: grep branch, master, updated. v2.11-11-gb00d1ee
Date: Mon, 09 Apr 2012 20:25:47 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "grep".

The branch, master has been updated
       via  b00d1eee17148143c5a9187e6d4b68569a02cf24 (commit)
       via  c6851b76d911a60b36cc9d7209ba0ae7bebde365 (commit)
      from  a48ed5b6953d6d40f6797f7e151e324924039b78 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.savannah.gnu.org/cgit/grep.git/commit/?id=b00d1eee17148143c5a9187e6d4b68569a02cf24


commit b00d1eee17148143c5a9187e6d4b68569a02cf24
Author: Jim Meyering <address@hidden>
Date:   Mon Apr 9 22:08:01 2012 +0200

    tests: avoid syntax-check failure: reverse compare arguments
    
    * tests/repetition-overflow: Fix reversed compare arguments.

diff --git a/tests/repetition-overflow b/tests/repetition-overflow
index 66a44a6..35d928b 100755
--- a/tests/repetition-overflow
+++ b/tests/repetition-overflow
@@ -12,8 +12,8 @@ fail=0
 # would be treated just like "1", and both of these would mistakenly match.
 
 echo abc  | grep -E "b{$xp1}"   > out 2> /dev/null; test $? = 2 || fail=1
-compare out /dev/null || fail=1
+compare /dev/null out || fail=1
 echo abbc | grep -E "b{1,$xp2}" > out 2> /dev/null; test $? = 2 || fail=1
-compare out /dev/null || fail=1
+compare /dev/null out || fail=1
 
 Exit $fail

http://git.savannah.gnu.org/cgit/grep.git/commit/?id=c6851b76d911a60b36cc9d7209ba0ae7bebde365


commit b00d1eee17148143c5a9187e6d4b68569a02cf24
Author: Jim Meyering <address@hidden>
Date:   Mon Apr 9 22:08:01 2012 +0200

    tests: avoid syntax-check failure: reverse compare arguments
    
    * tests/repetition-overflow: Fix reversed compare arguments.

diff --git a/tests/repetition-overflow b/tests/repetition-overflow
index 66a44a6..35d928b 100755
--- a/tests/repetition-overflow
+++ b/tests/repetition-overflow
@@ -12,8 +12,8 @@ fail=0
 # would be treated just like "1", and both of these would mistakenly match.
 
 echo abc  | grep -E "b{$xp1}"   > out 2> /dev/null; test $? = 2 || fail=1
-compare out /dev/null || fail=1
+compare /dev/null out || fail=1
 echo abbc | grep -E "b{1,$xp2}" > out 2> /dev/null; test $? = 2 || fail=1
-compare out /dev/null || fail=1
+compare /dev/null out || fail=1
 
 Exit $fail

-----------------------------------------------------------------------

Summary of changes:
 gnulib                    |    2 +-
 tests/repetition-overflow |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)


hooks/post-receive
-- 
grep



reply via email to

[Prev in Thread] Current Thread [Next in Thread]